apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/rewrite-target: /$1
  name: {{ $.Chart.Name }}-ingress
  namespace: {{ .Release.Namespace }}
  labels:
{{ include "ska-oso-ptt.labels" . | indent 4 }}
spec:
  rules:
  - http:
      paths:
      - backend:
          service:
            name: {{ $.Chart.Name }}-service
            port:
              number: 80
        # Match everything but '/api' which is reserved for back-end
        path: {{ template "ska-oso-ptt.ingress" . }}/(?!api)(.*)
        pathType: ImplementationSpecific
